## org.apache.aries.subsystem.core.archive
Enum TypedAttribute.Type

    java.lang.Object
      java.lang.Enum<TypedAttribute.Type>
          org.apache.aries.subsystem.core.archive.TypedAttribute.Type

All Implemented Interfaces:
  Serializable, Comparable<TypedAttribute.Type>

Enclosing class:
  TypedAttribute

    public static enum TypedAttribute.Type

extends Enum<TypedAttribute.Type>

Enum Constant Summary
`Double`
`Long`
`String`
`Version`

Method Summary
`static TypedAttribute.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypedAttribute.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Double

    public static final TypedAttribute.Type Double

### Long

    public static final TypedAttribute.Type Long

### String

    public static final TypedAttribute.Type String

### Version

    public static final TypedAttribute.Type Version

Method Detail

### values

    public static TypedAttribute.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TypedAttribute.Type c : TypedAttribute.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TypedAttribute.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.